let Parse = getApp().Parse;
const company = getApp().globalData.company
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: null,
        merchant: null,
        id: null,

    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let merchant = wx.getStorageSync('merchant'); //用户
        let id = options.id
        this.setData({
            merchant: merchant,
            id: id
        })
        this.getTableNumber()
    },
    async getTableNumber() {
        let TableNumber = new Parse.Query('TableNumber')
        TableNumber.equalTo('store', this.data.id)
        TableNumber.equalTo('company', company)
        TableNumber.include('store')
        let table = await TableNumber.find()
        if (table && table.length > 0) {
            let listJSON = []
            table.forEach(c => {
                listJSON.push(c.toJSON())
            })

            this.setData({
                list: listJSON
            })
        }
        console.log(this.data.list);
    },

    editors() {
        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/tables/editor/index'
        });

    },
    editor(e) {
        let id = e.currentTarget.dataset.item.objectId
        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/tables/editor/index?id=' + id
        });

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getTableNumber()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})